Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.util
Class AutofocusValidationDecorator

    java.lang.Object
      org.apache.tapestry5.internal.util.ValidationDecoratorWrapper
          org.apache.tapestry5.internal.util.AutofocusValidationDecorator

All Implemented Interfaces:
  ValidationDecorator

    public class AutofocusValidationDecorator

extends ValidationDecoratorWrapper

Used by `Form` to determine which fields will be focused and a what priority.

Constructor Summary
`AutofocusValidationDecorator(ValidationDecorator delegate, ValidationTracker tracker, JavaScriptSupport javascriptSupport)`

Method Summary
`void` | `insideField(Field field)` Invoked at a point where the decorator may write additional attributes into the field.

Methods inherited from class org.apache.tapestry5.internal.util.ValidationDecoratorWrapper
`afterField, afterLabel, beforeField, beforeLabel, insideLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutofocusValidationDecorator

    public AutofocusValidationDecorator(ValidationDecorator delegate,
                                        ValidationTracker tracker,
                                        JavaScriptSupport javascriptSupport)

Method Detail

### insideField

    public void insideField(Field field)

  Description copied from interface: `ValidationDecorator`
  Invoked at a point where the decorator may write additional attributes into the field. Generally speaking, you will want to render informal parameters before invoking this method.

  Specified by:
    `insideField` in interface `ValidationDecorator`
  Overrides:
    `insideField` in class `ValidationDecoratorWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.